# Adverse media check

The adverse media check screens individuals against news articles. This service may help to identify potential involvement in financial crimes, serious offenses, political exposure, or reputational risks

Endpoint: POST /services/amc
Version: 1.0
Security: API-Key

## Request fields (application/json):

  - `primary_keywords` (array, required)
    A list of primary keywords. Articles must contain at least one of these keywords to be considered relevant to the search. A maximum of 20 primary keywords are permitted (including predefined keywords for individuals’s first name and last name)

  - `secondary_keywords` (array)
    A list of optional secondary keywords. Articles containing these keywords may see improved search result ranking. A maximum of 20 secondary keywords are permitted

  - `callback_url` (string, required)
    The endpoint URL where our system will send real-time webhook notifications via POST request. Your server should respond with a 200 OK status to acknowledge receipt

## Response 200 fields (application/json):

  - `status` (string)
    Example: "ok"

  - `data` (object)
    Example: {"primary_keywords":["John","Smith","corruption","money laundering","murder"],"secondary_keywords":["sanctioned","whistleblower","conviction"],"callback_url":"https://webhook.site/34374c1f-3b2b-4060-ad26-8a556478df03"}

  - `data.primary_keywords` (array)
    A list of primary keywords. Articles must contain at least one of these keywords to be considered relevant to the search. A maximum of 20 primary keywords are permitted (including predefined keywords for individuals’s first name and last name)
    Example: ["John","Smith","corruption","money laundering","murder"]

  - `data.secondary_keywords` (array)
    A list of optional secondary keywords. Articles containing these keywords may see improved search result ranking. A maximum of 20 secondary keywords are permitted
    Example: ["sanctioned","whistleblower","conviction"]

  - `data.callback_url` (string)
    The endpoint URL where our system will send real-time webhook notifications via POST request. Your server should respond with a 200 OK status to acknowledge receipt
    Example: "https://webhook.site/34374c1f-3b2b-4060-ad26-8a556478df03"

## Response 400 fields (application/json):

  - `type` (string)
    Example: "bad_request"

  - `errors` (array)

## Response 402 fields (application/json):

  - `type` (string)
    Example: "insufficient_funds"

  - `errors` (array)

## Response 500 fields (application/json):

  - `type` (string)
    Example: "internal_server"

  - `errors` (array)


